***Replication for Cross-Sectional Results
use Replication_CS.dta

*Expenditure Results
xi: reg capita_total_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_police_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_fire_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_libraries_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_hospital_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_welfare_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_development_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_transit_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_parksrec_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)

*Revenue Results
xi: reg capita_total_revenue dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_own_revenue dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_transfer_revenue dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_property_tax  dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_sales_tax  dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg capita_total_debt dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)
xi: reg share_sales_tax dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST if Tot_Pop<500000 & Tot_Pop>10000, vce(robust)

*Heckman Selection Models
xi: heckman capita_police_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST, select(total_police_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_police) vce(robust)
xi: heckman capita_fire_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_fire_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_fire) vce(robust)
xi: heckman capita_libraries_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_libraries_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_libraries) vce(robust)
xi: heckman capita_hospital_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_hospital_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_hospital) vce(robust)
xi: heckman capita_welfare_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_welfare_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_welfare) vce(robust)
xi: heckman capita_development_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_development_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_development) vce(robust)
xi: heckman capita_transit_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_transit_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_transit) vce(robust)
xi: heckman capita_parksrec_operations dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop i.FIPS_ST,  select(total_parksrec_dummy=dem_share density Perc_Unemployed MD_HHInc Poverty Perc_Owner Per_Black Per_Hispanic percent_urban city_violent_crime_rate city_property_crime_rate principal_city commute_time med_home_value ln_pop select_parksrec) vce(robust)


***Replication for Cross-Sectional Results
use Replication_Panel.dta

*Panel Results
tsset GOVSID9 year
xi: reg current_op_capita l5.current_op_capita i.year st_dem_share unemploy income poverty own college  manuf white ln_pop , vce(robust)
xi: reg current_salaries  l5.current_salaries i.year st_dem_share unemploy income poverty own college  manuf white ln_pop , vce(robust)
xi: reg current_tot_rev  l5.current_tot_rev i.year st_dem_share unemploy income poverty own college  manuf white ln_pop , vce(robust)
xi: reg current_ownrev_capita  l5.current_tot i.year st_dem_share unemploy income poverty own college  manuf white ln_pop , vce(robust)
xi: reg current_IG_rev  l5.current_IG_rev i.year st_dem_share unemploy income poverty own college  manuf white ln_pop , vce(robust)
